#
# spec file for package python-pybeam
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pybeam
Version:        0.3.2
Release:        6.2
Summary:        Python module to parse Erlang BEAM files
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/matwey/pybeam
Source:         http://pypi.python.org/packages/source/p/pybeam/pybeam-%{version}.tar.gz
BuildRequires:  python-construct
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-construct
Requires:       python-six >= 1.4.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Python module to parse Erlang BEAM files, now it is able to read imports, exports, atoms, as well as compile info and attribute chunks in pretty python format.

%prep
%setup -q -n pybeam-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Sat May 31 2014 matwey.kornilov@gmail.com
- Version 0.3.2:
  - add support for Erlang 17.0 (maps)
* Sat Mar 29 2014 matwey.kornilov@gmail.com
- Verision 0.3.1:
  - fix parsing lists with not-null tail
  - fix parsing strings ( six > 1.4.0 is required to support both
    python 2 and python 3 )
* Thu Feb 20 2014 matwey.kornilov@gmail.com
- Version 0.3:
  - python 3.3 support
  - minor fixes and add more unit-tests
  - Code LitT FunT chunk now understood
* Mon May  6 2013 matwey.kornilov@gmail.com
- Version 0.2:
  - fixed floating point parsing
  - fixed Atom lists indexation
* Wed May  1 2013 matwey.kornilov@gmail.com
- Initial version
